# EventHttp::setAllowedMethods

(PECL event >= 1.4.0-beta)

EventHttp::setAllowedMethods — Définit les méthodes HTTP supportées et acceptées dans les requêtes sur ce serveur, et passées aux fonctions de rappel utilisateurs

### Description

public EventHttp::setAllowedMethods( int `$methods` ): void

Définit les méthodes HTTP supportées et acceptées dans les requêtes sur ce serveur, et passées aux fonctions de rappel utilisateurs.

Si non supportées, elles généreront une réponse `"405 Method not allowed"`.

Par défaut, les méthodes suivantes sont incluses : `GET`, `POST`, `HEAD`, `PUT`, et `DELETE`. Voir les constantes `EventHttpRequest::CMD_*`.

### Liste de paramètres

`methods`

  Un masque de constantes `EventHttpRequest::CMD_*`.

### Valeurs de retour

Aucune valeur n'est retournée.